// -*-C++-*-
/*!
 * @file  Creation3DResultStatusSVC_impl.cpp
 * @brief Service implementation code of Creation3DResultStatus.idl
 *
 * @author EAST JAPAN ACCOUNTING CENTER CO.,LTD.
 *
 * BSD 3-clause "New" or "Revised" License
 *
 */

#include "Creation3DResultStatusSVC_impl.h"

// add to code
#include <iostream>
#include "local_basic_type.h"
#include "3dshape_service.h"

/*
 * Example implementational code for IDL interface Creation3DObjResultStatusServ::Creation3DObjResultStatus
 */
Creation3DObjResultStatusSVC_impl::Creation3DObjResultStatusSVC_impl()
{
  // Please add extra constructor code here.
  m_ul3DObjResultSts = SHAPE_OF_3D_INITIAL;
  m_ul3DObjResultNum = SHAPE_OF_3D_NUMBER;
}


Creation3DObjResultStatusSVC_impl::~Creation3DObjResultStatusSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void Creation3DObjResultStatusSVC_impl::ReqCreation3DObjResultStatus(CORBA::ULong ul3DObjResultSts)
{
  // Please insert your code here and remove the following warning pragma
#ifndef WIN32
  #warning "Code missing in function <void Creation3DObjResultStatusSVC_impl::ReqCreation3DObjResultStatus(CORBA::ULong ul3DObjResultSts)>"
#endif

  // add to code
  if( ul3DObjResultSts < SHAPE_OF_3D_MAX )
  {
    std::cout << "ReqCreation3DObjResultStatus: " << ul3DObjResultSts << std::endl;
    m_ul3DObjResultSts = ul3DObjResultSts;
  }
  else
  {
    m_ul3DObjResultSts = SHAPE_OF_3D_INITIAL;
  }
}

CORBA::ULong Creation3DObjResultStatusSVC_impl::GetCreation3DObjResultStatus()
{
  // Please insert your code here and remove the following warning pragma
#ifndef WIN32
  #warning "Code missing in function <CORBA::ULong Creation3DObjResultStatusSVC_impl::GetCreation3DObjResultStatus()>"
#endif

  // add to code
	CORBA::ULong a_ul3DObjResultSts;

  std::cout << "Call GetCreation3DObjResultStatus" << std::endl;

  a_ul3DObjResultSts = SHAPE_OF_3D_INITIAL;
  if( m_ul3DObjResultSts < SHAPE_OF_3D_MAX )
  {
    a_ul3DObjResultSts = m_ul3DObjResultSts;
  }
  else
  {
    a_ul3DObjResultSts = SHAPE_OF_3D_ERROR;
  }

	a_ul3DObjResultSts = a_ul3DObjResultSts << _3D_MAKE_SHIFT;
	a_ul3DObjResultSts = a_ul3DObjResultSts & _3D_MASK_RESULT;
	a_ul3DObjResultSts = a_ul3DObjResultSts | SHAPE_OF_3D_NUMBER;
	// a_ul3DObjResultSts = a_ul3DObjResultSts | m_ul3DObjResultNum;

  return (a_ul3DObjResultSts);
}



// End of example implementational code



